All you should need to do is download the 1.11.4 source code, update the Mongo driver version and rebuild the nifi-mongodb-bundle project to get the updated NAR files.

On Tue, Jun 2, 2020 at 10:40 AM Enrique Olaizola <Enrique.Olaizola@macrohealth.com> wrote:
Hello,

My organization is running two versions of NiFi at the moment.

1.11.1
1.11.4

According to the following links:

https://mvnrepository.com/artifact/org.apache.nifi/nifi-mongodb-client-service-api/1.11.1
https://mvnrepository.com/artifact/org.apache.nifi/nifi-mongodb-client-service-api/1.11.4

These versions of NiFi come with version 3.2.2 of the MongoDB Java driver.

According to this:

https://docs.mongodb.com/drivers/driver-compatibility-reference

This version of the driver only supports features for MongoDB 3.2

However, in the mvn links provided above there is a column named Updates under the Compile dependencies which lists version 3.12.4 of the MongoDB driver. If I wanted to update my current instances to use the newer driver would it simply be a matter of updating the listed dependencies on these pages or is there a more involved process?

Regards,

Enrique